/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.19 Performing a match merge using MERGE
statement with the IN= option and the BY statement
*/

data C;
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

data D;
  input patno source $ age;
  cards;
2 D 45
2 D 40
4 D 35
;
run;

proc sort data=C;
  by patno;
run;

proc sort data=D;
  by patno;
run;

data test5;
  merge C (in=inc) D (in=ind);
  by patno;
  if inc and ind; 
run;

proc print data=test5;
run;