/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.20 Using the SQL procedure to create data sets
*/

data C;
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

proc sql;                       /* Comparable DATA Step and PROC SORT */
  create table test6 as         /* DATA TEST6; */
  select patno, source, gender, /* KEEP PATNO SOURCE GENDER WEIGHT; */
  150 as weight                 /* WEIGHT = 150; */
  from C                        /* SET C; */
  where gender='male'           /* WHERE GENDER = 'male'; */
  order by patno;               /* BY PATNO; RUN;
                                   PROC SORT DATA = TEST6 BY
                                   PATNO;*/
quit;                           /* RUN; */

proc print data=test6;
run;