/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.21 Perform INNER join between two data sets
*/

data C;
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

data D;
  input patno source $ age;
  cards;
2 D 45
2 D 40
4 D 35
;
run;

proc sql;                 /* Comparable DATA Step except for common variables*/
  create table test7 as   /* DATA TEST7; */ 
  select *
  from C as c,            /* MERGE C (IN=INC) D (IN=IND); */
  D as d
  where c.patno=d.patno;  /* BY PATNO; IF INC AND IND; */
quit;                     /* RUN; */

proc print data=test7;
run;