/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.22 Perform an INNER join without a WHERE clause
*/

data C;
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

data D;
  input patno source $ age;
  cards;
2 D 45
2 D 40
4 D 35
;
run;

proc sql;
  create table test8 as
  select *
  from C as c,
  D as d /* without a WHERE clause */
  order by patno;
quit;

proc print data=test8;
run;