/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.23 Perform an OUTER LEFT join between two data sets
*/

data C;
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

data D;
  input patno source $ age;
  cards;
2 D 45
2 D 40
4 D 35
;
run;

proc sql;                 /* Comparable DATA Step except for common variables*/
  create table test9 as   /* DATA TEST9; */
  select * 
  from C as c             /* MERGE C (IN=INC) D (IN=IND); */
  left join D as d        /* IF INC; */ 
  on c.patno=d.patno;     /* BY PATNO; */ 
quit;                     /* RUN; */

proc print data=test9;
run;