/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.26 Using the COALESCE ( ) function to populate variables;
*/

data C;
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

data D;
  input patno source $ age;
  cards;
2 D 45
2 D 40
4 D 35
;
run;

proc sql;
  create table test12 as
  select coalesce (c.patno,d.patno) as patno, 
  coalesce (c.source,d.source) as source, 
  c.gender,d.age 
  from C as c
  full join D as d 
  on c.patno=d.patno; 
quit;

proc print data=test12;
run;