/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 2.13 Create data set from reading data from another SAS data set within a DO loop
*/

data A;
  input patno source $ gender $;
  Cards;
1 A male
3 A male
;
run;

title DSNAME1: data set without an unconditional ELSE clause;
data dsname1;
  do until (eof=1); 
    set A end=eof;
    if patno <= 2 then group = 'Early'; 
    output;
  end;
run;

proc print data=dsname1;
  var patno group;
run;

title DSNAME2: data set with an unconditional ELSE clause;
data dsname2;
  do until (eof=1);
    set A end=eof;
    if patno <= 2 then group ='Early';
    else group = 'Late'; 
    output;
  end;
run;

proc print data=dsname2;
  var patno group;
run;