/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.13 Processing variables with arrays
*/

data class3;
  input name $8. @10 absences 2. @15 quiz 4.1;
  cards;
tim lou  1     6.0
sally    2    10.1
john     2     8.0
;
run;

data class_array;
  set class3;
  * Creates character variables var1, var2, and var3 and assign to the value of I;
  * The default length of 8 is applied to these variables;
  * array name vars;
  array vars(3) $ var1-var3; 
  do I = 1 to 3; /* index value */
    vars(i) = I; /* single statement */
  end;
  /* Each array element references a variable. Similar to three separate statements */
  /* Ex. var(1) is var1; var1=1; var2=2; var3=3; */ 
  * implicit array with variable names absences and quiz;
  array factors(*) absences quiz; /*existing data set variables are referenced*/
  do I = 1 to dim(factors); /* resolves to 2 for 2 elements in array */
    Factors(i) = factors(i)*10; /* single statement */
  end;
  /* Similar to two separate statements */
  /* absences = absences*10; quiz = quiz*10; */ 
  * Create variables test85, test86, test87;
  array test{85:87}test85 - test87; /* Single statement */ 
  /* Similar to three separate statements */
  /* test85 = .; test86 = .; test87 = .; */ 
run;

proc print data=class_array;
run;