/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.14 Creating temporary arrays and initialized values
*/

data class3;
  input name $8. @10 absences 2. @15 quiz 4.1;
  cards;
tim lou  1     6.0
sally    2    10.1
john     2     8.0
;
run;

data class_temp;
  set class3;
  * numeric array with initialized values;
  array goal{4} g1 - g4 (10, 15, 15, 10); /* Single statement */ 
  /* Four separate statements */
  /* g1 = 10; g2=15; g3=15; g4=10; */
  * character array with initialized values;
  * does not create variables ;
  array namval{3} $7 _temporary_ ('sally', 'tim lou','john'); 
  do i=1 to 3;
    if trim(left(name)) = trim(left(namval(i))) then catorder= I; /* single statement */
  end;
  /* Three separate statements */
  /* if trim(left(name)) = trim(left('sally')) then catorder= 1; */
  /* if trim(left(name)) = trim(left('tim lou')) then catorder = 2; */
  /* if trim(left(name)) = trim(left('john')) then catorder= 3; */
  array transdt(3); /* Notice that the array elements are NOT explicitly specified. */
  /* This is equivalent to the following statement: */ 
  /* array transdt(3) transdt1 transdt2 transdt3;*/
run;

proc print data=class_temp;
run;
