/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.18 Using the DATASETS procedure to manage data sets.
*/

library compat c:\mydata;

proc datasets library=compat;
  change old=new; /* rename file */
  exchange member1=member2; /*swaps the names of a pair of members */
  age today day1 day2; /* use to make backup versions of data sets */
  delete temp1; /* delete files */
  copy out=; /* similar to proc copy */
  append data=data1 out=data2 force; /* similar to proc append */
  contents data=ae; /* similar to proc contents */
  modify ae /* data set name */
  rename subject=pt; /* variable name change */
  label pt='Patient'; /* label change */
  informat pt 5.; /* informat change */
  format pt 5.; /* format change */
quit;