/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.5 Creating and using user-defined formats
*/

data class3;
  input name $8. @10 absences 2. @15 quiz 4.1 @21 class 1. @23 dob mmddyy8.;
  cards;
tim lou  1     6.0  3 10/23/78
sally    2    10.1  2 01/02/78
john     2     8.0  3 06/22/78
;
run;

proc format fmtlib;
/* character format name - $namefmt.*/
  value $namefmt 'sally' = 'susan' /* value - sally, label - susan */
                   other = 'other';
                   
/* numeric format name - CLASSFMT */
  value classfmt 2 = 'FRESHMAN' /* value - 2,label-FRESHMAN */
                 3 = 'JUNIOR' /* value - 3, label- JUNIOR */
             other = 'OTHER';
             
/* numeric format using range of values */
  value qsgrp 0 - 9 = '0 TO 9'
             10 - 29 = '10 TO 29';
             
/* numeric format using list of values */
  value regfmt 1, 2, 3, 4 = 'NW'
                     5, 6 = 'NE';
quit;

data class_fmt;
  set class3;
  /* date9. - SAS-supplied format */
  format name $namefmt. class classfmt. quiz qsgrp. dob date9.;
run;

proc print data=class_fmt;
run;