/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.6 Assignment statements and conditionally excuted statements
*/

data class3;
  input name $8. @10 absences 2. @15 quiz 4.1 @21 class 1. @23 dob mmddyy8.;
  cards;
tim lou  1     6.0  3 10/23/78
sally    2    10.1  2 01/02/78
john     2     8.0  3 06/22/78
;
run;

data condition;
  set class3;
  attrib name label='Student Name' format=$8.;
  format dob newdt date9.;
  if absences = 2 then do; 
    class = 4; /*one or more statements */
    newdt = '01jan2002'd;
  end;
  select(name); 
    when('tim lou') name = 'Tim Lou';
    when('sally') name = 'Sally';
    otherwise name = 'Unknown';
  end;
run;

proc print data=condition;
run;
