/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.7 Using the RETAIN statement to accumulate totals
*/

data tests;
  input name $ test_score;
  cards;
Tim 9
Tim 7
Tim 7
Sally 10
Sally 7
John 8
John 7
John 6
;
run;

proc sort data=tests;
  by name; 
run;

data grades;
  set tests;
  by name;
  retain total count city 'Greenville'; 
  format average 4.1;
  if first.name then do;
    total=0; 
    count=0;
  end;
  count=count + 1;
  total=sum(total,test_score); 
    if last.name then do;
    average=total/count; 
    output;
  end;
run;

proc print data=grades;
run;