/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.9 Using the PUT() and INPUT() functions to convert data
*/
data class3;
  input name $8. @10 absences 2. @15 quiz 4.1 @21 chrclass $1. @23 dob mmddyy8.;
  cards;
tim lou  1     6.0  3 10/23/78
sally    2    10.1  2 01/02/78
john     2     8.0  3 06/22/78
;
run;

data class_put;
  set class3;
  /* numeric dob saved as mmddyy format in character variable*/
  chrdob = put(dob, mmddyy8.); 
  /* character chrclass saved as 4. format in numeric variable */
  numclass = input(chrclass, 4.); 
  format dob date9.;
run;

proc contents data=class_put;
run;

proc print data=class_put;
run;