/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 4.2 Using the MEANS procedure to get summarized statistics
*/

data tests;
  input name $ class $ test_score ;
  cards;
Tim math 9
Tim history 7
Tim science 7
Sally math 10
Sally science 7
Sally history 5
John math 8
John history 7
John science 6
;
run;

proc means data=tests n mean noprint;
  var test_score;
  class name;
  output out=test_stat n(test_score)=test_score_n
  mean(test_score)= test_score_mean;
run;

proc print data=test_stat;
run;