/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 4.3 Using the MEANS procedure to get summarized statistics by two variables
*/

data drug;
  input gender $ race $ drug $ dose @@;
  cards;
M White Active 5 M White Active 5
F White Placebo 6 M Nonwhite Active 6
M Nonwhite Placebo 4 F White Active 7
M Nonwhite Active 5 M Nonwhite Placebo 7
F White Active 6 F White Active 4
F Nonwhite Placebo 7 F Nonwhite Placebo 3
M Nonwhite Active 4 F Nonwhite Placebo 1
;
run;

proc format;
  value $ genderf 'M'='Male' 'F'='Female';
run;

proc means data=drug n mean noprint;
  var dose;
  class drug gender;
  output out=drug_stat n(dose)= dose_n
  mean(dose)=dose_mean;
run;

proc print data=drug_stat;
run;