/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 4.5 Using the TABULATE procedure to produce categorical reports
*/

data drug;
  input gender $ race $ drug $ @@;
  cards;
M White Active M White Active
F White Placebo M Nonwhite Active
M Nonwhite Placebo F White Active
M Nonwhite Active M Nonwhite Placebo
F White Active F White Active
F Nonwhite Placebo F Nonwhite Placebo
M Nonwhite Active F Nonwhite Placebo
;
run;

proc tabulate data=drug;
  class gender race drug;
  table (gender race),
  drug*(n pctn<gender race>='%');
run;