/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 4.6 Using the TABULATE procedure to produce statistical reports
*/

data drug;
  input gender $ race $ drug $ dose @@;
  cards;
M White Active 5     M White Active 5
F White Placebo 6    M Nonwhite Active 6
M Nonwhite Placebo 4 F White Active 7
M Nonwhite Active 5  M Nonwhite Placebo 7
F White Active 6     F White Active 4
F Nonwhite Placebo 7 F Nonwhite Placebo 3
M Nonwhite Active 4  F Nonwhite Placebo 1
;
run;

proc tabulate data=drug;  
  class drug;
  var dose;
  keyword n mean min std max;
  table dose = 'Dose'*(n='N'*f=15. mean='Mean'*f=15.1
  std='STD'*f=4.2 min='Min'*f=4.1 max='Max'*f=4.1),
  drug=' ' / box=[label='Baseline'] rts=53; 
run;
