/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 4.7 Using the REPORT procedure to produce a listing
*/

data drug;
  input gender $ race $ drug $ dose @@;
  cards;
M White Active 5 M White Active 5
F White Placebo 6 M Nonwhite Active 6
M Nonwhite Placebo 4 F White Active 7
M Nonwhite Active 5 M Nonwhite Placebo 7
F White Active 6 F White Active 4
F Nonwhite Placebo 7 F Nonwhite Placebo 3
M Nonwhite Active 4 F Nonwhite Placebo 1
;
run;

proc format;
value $ genderf 'M'='Male' 'F'='Female';
run;

proc report data=drug headline headskip missing split='*' nowindows;
columns drug gender race dose;
  define gender / display format=$genderf. width=8 center 'Baseline*Gender'; 
  define race / display width=8 center 'Baseline*Race';
  define drug / group width=7 center 'Study*Drug';
  define dose / display width=5 'Study*Drug*Dose';
run;