/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 5.12 Missing values in calculations
*/

Data bday;
  input name $ birthdt date9. ;
  format birthdt date9.;
  cards;
Tim 12MAR1970
Adam 25APR1968
Brian .
Sally 01JUN1965
Michelle 22JAN1973
;
run;

data age;
  set bday;
  format todaydt date9.;
  todaydt=today();
  age=(todaydt-birthdt+1)/365.25;
  if nmiss(todaydt, birthdt)=0 then age2=(todaydt-birthdt+1)/365.25; 
  if age = . then put '** Problem Data **: ' age =todaydt = birthdt = ; 
run;

proc print data=age;
run;