/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 5.9 MERGE statement has more than one data set with repeats of BY variables
*/

data tests;
  input name $ class $ quiz_score ;
  cards;
Tim math 9
Tim history 7
Tim science 7
Sally math 10
Sally science 7
Sally history 5
John math 8
John history 7
John science 6 .
;
run;

data exam;
  input name $ class $ exam_score ;
  cards;
Tim history 93
Tim science 86
Tim math 85
Sally history 93
Sally math 78
Sally science 84
John math 94
John science 84 
John history 73
;
run;

proc sort data=tests;
  by name;
run;

proc sort data=exam;
  by name;
run;

data grade;
  merge tests
        exam;
  by name;
run;

proc print data=grade;
run;