/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 6.4 Preventing data errors with integrity constraints
*/

options validvarname=v7;

data tests;
  input name $ class $ quiz_score ;
  cards;
Tim math 9
Steve history 7
James science 7
Sally math 10
Michelle science 7
Adam history 5
Doug math 8
Lynn history 7
Dave science 6
;
run;

proc datasets;
  modify tests;
  integrity constraint create
  req_quiz_score = not null(quiz_score)
  message = 'quiz_score is REQUIRED';
  integrity constraint create
  ok_class = check(where=(class in ('math' 'history' 'science')))
  message = 'Class must be math, history or science';
  integrity constraint create
  unique_name=unique(name)
  message = 'name must be unique';
quit;

proc contents data=tests;
run;