/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 6.5 Tracking data updates with audit trails
*/

libname mylib 'c:\myproject1';

data mylib.tests;
  input name $ class $ quiz_score ;
  cards;
Tim math 9
Steve history 7
James science 7
Sally math 10
Michelle science 7
Adam history 5
Doug math 8
Lynn history 7
Dave science 6
;
run;

Proc datasets lib=mylib;
  audit tests;
  initiate; 
  user_var chgreason $50 label = 'Reason for change';
quit;

proc sql;
  insert into mylib.tests
  set name = 'Tim',
  class = 'reading', 
  quiz_score = 9,
  chgreason = 'update';
quit;

Proc Datasets lib=mylib;
  audit tests;
  suspend;
quit;

proc print data=mylib.tests (type=audit);
run;