/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 6.6 Backing up data with generation data sets
*/

libname mylib 'c:\myproject1';

data mylib.tests;
  input name $ class $ quiz_score ;
  cards;
Tim math 9
Steve history 7
James science 7
Sally math 10
Michelle science 7
Adam history 5
Doug math 8
Lynn history 7
Dave science 6
;
run;

data mylib.tests (genmax=3);  /* first version */
  set mylib.tests; /* tests # 001 */
run;

data mylib.tests;  /* second version */
  set mylib.tests; /* tests # 002 */
  where class='math';
run;

data mylib.tests;  /* third version */
  set mylib.tests; /* tests # 003 */
  where name='Tim';
run;

/* Alternative reference */
proc print data=mylib.tests (gennum=2);/* proc print */
/* data=mylib.tests#002; */
run; /* run; */