/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 6.8 Using the DUPOUT= option to save duplicate records
*/

data tests;
  input name $ class $ test_score ;
  cards;
Tim math 9
Tim history 7
Tim science 7
Sally math 10
Sally science 7
Sally history 5
John math 8
John history 7
John science 6
;
run;

proc sort data=tests nodupkey dupout = dup_tests out=tests_sort;
  by name;
run;

title 'All Data';
proc print data=tests;
run;

title 'Non-Duplicate Key Records: name';
proc print data=tests_sort;
run;

title 'Deleted Duplicate Records';
proc print data=dup_tests;
run;